%define		_class		Auth
%define		_subclass	RADIUS
%define		upstream_name	%{_class}_%{_subclass}

%global	__requires_exclude pear\\((Crypt_CHAP/CHAP.php|Crypt/CHAP.php|RADIUS.php)\\)

Name:		php-pear-%{upstream_name}
Version:	1.1.0
Release:	%mkrel 7
Summary:	Wrapper Classes for the RADIUS PECL
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/Auth_RADIUS/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-radius
BuildRequires:	php-pear
BuildArch:	noarch

%description
This package provides wrapper-classes for the RADIUS PECL. There are
different Classes for the different authentication methods. If you are
using CHAP-MD5 or MS-CHAP you need also the Crypt_CHAP package. If you
are using MS-CHAP you need also the mhash extension.

In PEAR status of this package is: %{_status}.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/examples
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Thu Aug 18 2022 mokraemer <mokraemer> 1.1.0-7.mga9
+ Revision: 1878464
- fix dep

* Wed Aug 17 2022 mokraemer <mokraemer> 1.1.0-6.mga9
+ Revision: 1878401
- correct blacklist of Crypt/CHAP.php

* Fri Jun 24 2022 papoteur <papoteur> 1.1.0-5.mga9
+ Revision: 1865864
- Mass Rebuild for dependencies

* Tue Mar 22 2022 umeabot <umeabot> 1.1.0-4.mga9
+ Revision: 1819079
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1507246
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1287664
- Mageia 7 Mass Rebuild

* Tue Dec 19 2017 mokraemer <mokraemer> 1.1.0-1.mga7
+ Revision: 1183317
- new version

* Thu Feb 18 2016 umeabot <umeabot> 1.0.7-8.mga6
+ Revision: 964922
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.7-7.mga5
+ Revision: 744336
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 1.0.7-6.mga5
+ Revision: 736444
- add excludes

* Wed Oct 01 2014 tv <tv> 1.0.7-5.mga5
+ Revision: 734032
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.7-4.mga5
+ Revision: 687174
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.0.7-3.mga4
+ Revision: 516539
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 375880
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 30 2011 spuhler <spuhler> 1.0.7-1.mga1
+ Revision: 44601
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Auth_RADIUS

